Bug 1093039 - [openQA] post rollback, the expected package is not found
[openQA] post rollback, the expected package is not found
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kubic
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Martin Kravec
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-13 12:18 UTC by Dominique Leuenberger
Modified: 2018-05-22 12:47 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Leuenberger 2018-05-13 12:18:08 UTC
https://openqa.opensuse.org/tests/674696#step/transactional_update/157

From what i gathered at a quickl glance:
Test security update, rel 2.1 is being jnstalled
Updated then to rel 5.1
Test security package is uninstalled
Rollback
The test now expects release 2.1, but this is not found

I chekced snapshot 0502's qa test (currently published snapshot) and that failure was there too - but from discussions it was believed to be a followup error. Since the other failures are now resolved, and this failure still being present, that assumption was obviously wrong
Comment 1 Ignaz Forster 2018-05-14 09:53:14 UTC
According to https://openqa.opensuse.org/tests/674696#step/transactional_update/133 a rollback to snapshot 4 is done. However this is not the snapshot you want - Kubic contains a newer version of transactional-update compared to CAASP which is generating two snapshots for each run (due backing up the /etc state - see e.g. https://openqa.opensuse.org/tests/674696#step/one_line_checks/3 where snapshot #4 is already taken).

The fix should be trivial: What you want to do here is roll back to snapshot #6 (the first one to contain the package if I've counted correctly) instead.
Comment 2 Martin Kravec 2018-05-14 15:22:29 UTC
PR with fix: https://github.com/os-autoinst/os-autoinst-distri-opensuse/pull/5050